# -- Default number of instances to start ...
replicaCount: 1
# -- Application name ...
name: agent
# -- Ovverwrites application name ..
nameOverride: ""

image:
  repository: eu.gcr.io/vrgn-infra-prj/gaiax/ocm
  # -- Image name .
  name: ocm-engine/agent
  # -- Image tag .
  # Uses .Chart.AppVersion if empty .
  tag: ""
  # -- Image sha, usually generated by the CI .
  # Uses image.tag if empty .
  sha: ""
  # -- Image pull policy .
  pullPolicy: Always
  # -- Image pull secret when internal image is used .
  pullSecrets: deployment-key-light

resources:
  requests:
    cpu: 250m

autoscaling:
  # -- Enable autoscaling .
  enabled: false
  # -- Minimum replicas .
  minReplicas: 1
  # -- Maximum replicas .
  maxReplicas: 3
  # -- CPU target for autoscaling trigger .
  targetCPUUtilizationPercentage: 70
  # -- Memory target for autoscaling trigger .
  targetMemoryUtilizationPercentage: 70
##
## Prometheus Exporter / Metrics .
##

metrics:
  # -- Enable prometheus metrics .
  enabled: true
  # -- Port for prometheus metrics .
  port: 2112

##
## Kubernetes [SecurityContext](https://kubernetes.io/docs/tasks/configure-pod-container/security-context/) object.
##

security:
  # -- by default, apps run as non-root .
  runAsNonRoot: false
  # -- User used by the apps .
  runAsUid: 0
  # -- Group used by the apps .
  runAsGid: 0

ocm: 
  agent:
    ledgers: "BCOVRIN_TEST"
    idunion:
      key: ""
    peer:
      url: "https://w3c-ocm-dev.vereign.com/issuer"
    issuer:
      name: "ISSUER_AGENT"
      key: "CwNJroKHTSSj3XvE7ZAnuKiTn2C4QkFvxEqfm5rzhNri"
      did: "000000000000000000000000TCuste89"
    holder:
      name: "DEV_AGENT_HOLDER_OCM_4"
      key: "DEV_AGENT_HOLDER_OCM_4"
      did: "2000000000000000CCA120000000TCuste21jsjs"
    db:
      host: ""
      user: ""
      pass: ""
    port: 8081
    consumer:
      name: "agent_1"
    isRest: false
    maxMessage: 10
    rateLimit: 5

  nats:
    server: "nats.ocm:4222"
    name: "ssi_issuer_stream"
    subjects: "connections.*,proofs.*,credentials.*,credentials.definition.*,credentials.offer.*,schemas.*,messages.*"

  gateway: 
    port: 
      http: 8081
      tcp: 8881
    socket:
      name: "message"
    messagePattern: "webhook"
    host: "gateway.ocm"

ocmtest:
  agent:
    ledgers: "BCOVRIN_TEST"
    idunion:
      key: ""
    peer:
      url: "https://w3c-ocm-dev.vereign.com/holder"
    holder:
      name: "HOLDER_AGENT_OCM"
      key: "CwNJroKHTSSj3XvE7ZAnuKiTn3C4QkFvxEqfm5rsdNri"
      did: "2000000000000000CCA120000000TCuste21jsjs"
    db:
      host: ""
      user: ""
      pass: ""
    port: 8081
    consumer:
      name: "agent_1"
    isRest: false
    maxMessage: 10
    rateLimit: 5

  nats:
    server: "nats.ocm-test:4222"
    name: "ssi_holder_stream"
    subjects: "connections.*,proofs.*,credentials.*,credentials.definition.*,credentials.offer.*,schemas.*,messages.*"

  gateway: 
    port: 
      http: 8081
      tcp: 8881
    socket:
      name: "message"
    messagePattern: "webhook"
    host: "gateway.ocm-test"

service:
  port: 8080
  port1: 8001
  port2: 8010

ingress:
  enabled: true
  tlsEnabled: true
  frontendDomain: ssi-dev.vereign.com
  frontendTlsSecretName: cert-manager-tls
